Bug 998270 - SELinux is preventing /usr/sbin/rsyslogd from 'search' accesses on the directory /var/lib/psad.
SELinux is preventing /usr/sbin/rsyslogd from 'search' accesses on the direct...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:cb00c92f943cfc91a9fb0939e37...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-18 15:34 EDT by cooloutac
Modified: 2013-09-22 20:44 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.11.1-103.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-22 20:44:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cooloutac 2013-08-18 15:34:52 EDT
Description of problem:
I typed in the following command:             

 echo -e 'kern.info |/var/lib/psad/psadfifo' >> /etc/rsyslog.conf

I would like psad to monitor my iptables logs.  per the man page i followed these instructions.

After that i get constant selinux alerts.  I've applied the temporary fix,  but would like to know a permanent solution.   Thankyou.
SELinux is preventing /usr/sbin/rsyslogd from 'search' accesses on the directory /var/lib/psad.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that rsyslogd should be allowed search access on the psad directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep 72733A6D61696E20513A526567 /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:syslogd_t:s0
Target Context                system_u:object_r:psad_var_lib_t:s0
Target Objects                /var/lib/psad [ dir ]
Source                        72733A6D61696E20513A526567
Source Path                   /usr/sbin/rsyslogd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           rsyslog-7.2.6-1.fc18.x86_64
Target RPM Packages           psad-2.1.7-6.fc18.x86_64
Policy RPM                    selinux-policy-3.11.1-100.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.10.6-100.fc18.x86_64 #1 SMP Mon
                              Aug 12 15:51:00 UTC 2013 x86_64 x86_64
Alert Count                   22
First Seen                    2013-08-18 15:20:38 EDT
Last Seen                     2013-08-18 15:29:50 EDT
Local ID                      c8270533-ec3c-4b63-b8b3-a3422a65ebd4

Raw Audit Messages
type=AVC msg=audit(1376854190.178:839): avc:  denied  { search } for  pid=28942 comm=72733A6D61696E20513A526567 name="psad" dev="dm-1" ino=3014801 scontext=system_u:system_r:syslogd_t:s0 tcontext=system_u:object_r:psad_var_lib_t:s0 tclass=dir


type=SYSCALL msg=audit(1376854190.178:839): arch=x86_64 syscall=open success=no exit=EACCES a0=7f18734fa0c0 a1=80802 a2=7f18734f99f0 a3=0 items=0 ppid=1 pid=28942 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=72733A6D61696E20513A526567 exe=/usr/sbin/rsyslogd subj=system_u:system_r:syslogd_t:s0 key=(null)

Hash: 72733A6D61696E20513A526567,syslogd_t,psad_var_lib_t,dir,search

audit2allow

#============= syslogd_t ==============
allow syslogd_t psad_var_lib_t:dir search;

audit2allow -R
require {
	type syslogd_t;
}

#============= syslogd_t ==============
psad_setattr_fifo_file(syslogd_t)


Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.10.6-100.fc18.x86_64
type:           libreport
Comment 1 Fedora Update System 2013-09-02 11:28:28 EDT
selinux-policy-3.11.1-101.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-101.fc18
Comment 2 Fedora Update System 2013-09-02 19:27:11 EDT
Package selinux-policy-3.11.1-101.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-101.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15645/selinux-policy-3.11.1-101.fc18
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-09-10 07:17:20 EDT
selinux-policy-3.11.1-103.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-103.fc18
Comment 4 Fedora Update System 2013-09-22 20:44:23 EDT
selinux-policy-3.11.1-103.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.